[SciPy-dev] Will scipy 0.8 depend on numpy 1.3.0 ?

David Cournapeau david@ar.media.kyoto-u.ac...
Sat Mar 21 08:36:50 CDT 2009


Pauli Virtanen wrote:
> Sat, 21 Mar 2009 16:58:00 +0900, David Cournapeau wrote:
>   
>>     Everything in the title: will scipy 0.8 depend on numpy 1.3 or do we
>> still want to maintain compatibility with the 1.2 serie ?
>>     
>
> Depending on 1.3 would have the advantage of being able to use the 
> NPY_NAN etc. core math symbols in scipy.special.
>   

Yes and no - although the core math library is independent from the rest
of numpy/core by design, it is not yet made available to other
extensions. The library is neither installed nor can an extension get
the necessary flags to link against it. I was planning on doing this in 1.4

As a temporary gap, we could copy the library sources in scipy/special
in the meantime - that's ugly, but better than the current situation in
scipy/special (which incidentally cause trouble for scipy on win64). Or
I could make sure the library is available in numpy 1.3, but I would
prefer having time to think about a general mechanism to share libraries
between numpy and other extensions in numpy.distutils,

cheers,

David



More information about the Scipy-dev mailing list